Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGAngle

public interface SVGAngle

Field Summary
`static short` | `SVG_ANGLETYPE_DEG`
`static short` | `SVG_ANGLETYPE_GRAD`
`static short` | `SVG_ANGLETYPE_RAD`
`static short` | `SVG_ANGLETYPE_UNKNOWN`
`static short` | `SVG_ANGLETYPE_UNSPECIFIED`

Method Summary
`void` | `convertToSpecifiedUnits(short unitType)`
`short` | `getUnitType()`
`float` | `getValue()`
`java.lang.String` | `getValueAsString()`
`float` | `getValueInSpecifiedUnits()`
`void` | `newValueSpecifiedUnits(short unitType, float valueInSpecifiedUnits)`
`void` | `setValue(float value)`
`void` | `setValueAsString(java.lang.String valueAsString)`
`void` | `setValueInSpecifiedUnits(float valueInSpecifiedUnits)`

Field Detail

### SVG_ANGLETYPE_UNKNOWN

    public static final short SVG_ANGLETYPE_UNKNOWN

### SVG_ANGLETYPE_UNSPECIFIED

    public static final short SVG_ANGLETYPE_UNSPECIFIED

### SVG_ANGLETYPE_DEG

    public static final short SVG_ANGLETYPE_DEG

### SVG_ANGLETYPE_RAD

    public static final short SVG_ANGLETYPE_RAD

### SVG_ANGLETYPE_GRAD

    public static final short SVG_ANGLETYPE_GRAD

Method Detail

### getUnitType

    public short getUnitType()

### getValue

    public float getValue()

### setValue

    public void setValue(float value)
                  throws DOMException

### getValueInSpecifiedUnits

    public float getValueInSpecifiedUnits()

### setValueInSpecifiedUnits

    public void setValueInSpecifiedUnits(float valueInSpecifiedUnits)
                                  throws DOMException

### getValueAsString

    public java.lang.String getValueAsString()

### setValueAsString

    public void setValueAsString(java.lang.String valueAsString)
                          throws DOMException

### newValueSpecifiedUnits

    public void newValueSpecifiedUnits(short unitType,
                                       float valueInSpecifiedUnits)

### convertToSpecifiedUnits

    public void convertToSpecifiedUnits(short unitType)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD